# Unified Video Generation API - Documentation

> For the complete documentation index, see [llms.txt](/llms.txt). Markdown is available with `Accept: text/markdown` and `.md` URL variants.

Source: /docs/api-reference/reference-unified-video-generation

# Unified Video Generation API

POST

/

v3

/

video

/

create

Unified Video Generation API

cURL

```
curl --request POST \
--url https://api.novita.ai/v3/video/create
```

```
import requestsurl = "https://api.novita.ai/v3/video/create"response = requests.post(url)print(response.text)
```

```
const options = {method: 'POST'};fetch('https://api.novita.ai/v3/video/create', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
```

```
&#x3C;?php$curl = curl_init();curl_setopt_array($curl, [ CURLOPT_URL => "https://api.novita.ai/v3/video/create", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "POST",]);$response = curl_exec($curl);$err = curl_error($curl);curl_close($curl);if ($err) { echo "cURL Error #:" . $err;} else { echo $response;}
```

```
package mainimport (	"fmt"	"net/http"	"io")func main() {	url := "https://api.novita.ai/v3/video/create"	req, _ := http.NewRequest("POST", url, nil)	res, _ := http.DefaultClient.Do(req)	defer res.Body.Close()	body, _ := io.ReadAll(res.Body)	fmt.Println(string(body))}
```

```
HttpResponse&#x3C;String> response = Unirest.post("https://api.novita.ai/v3/video/create") .asString();
```

```
require 'uri'require 'net/http'url = URI("https://api.novita.ai/v3/video/create")http = Net::HTTP.new(url.host, url.port)http.use_ssl = truerequest = Net::HTTP::Post.new(url)response = http.request(request)puts response.read_body
```

Last modified on December 16, 2025
